## org.eclipse.emf.ecoretools.tabbedproperties.sections
Class AbstractEnumerationPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection
              org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractEnumerationPropertySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISection

    public abstract class AbstractEnumerationPropertySection

extends AbstractTabbedPropertySection

An abstract implementation of a section with a enumeration field using a combo box (pulldown). Creation 5 apr. 2006 Updated 7 aug. 2006

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AbstractEnumerationPropertySection()`

Method Summary
`void` `createControls(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage aTabbedPropertySheetPage)`
`protected void` `createWidgets(org.eclipse.swt.widgets.Composite composite)` Section widgets should be created inside this method.
`protected org.eclipse.swt.custom.CCombo` `getCombo()`
`protected abstract java.lang.String[]` `getEnumerationFeatureValues()` Get the enumeration values of the feature for the combo field for the section.
`protected abstract java.lang.String` `getFeatureAsText()` Get the value of the feature as text for the combo field for the section.
`protected abstract java.lang.Object` `getFeatureValue(int index)` Get the new value of the feature for the text field for the section.
`protected abstract java.lang.Object` `getOldFeatureValue()` Get the old value of the feature
`protected void` `handleComboModified()` Handle the combo modified event.
`protected void` `hookListeners()` Widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)` may listen platform events.
`void` `refresh()`
`protected void` `setSectionData(org.eclipse.swt.widgets.Composite composite)` This method should be implemented to set layout data to the widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)`.

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection

`aboutToBeHidden, aboutToBeShown, adaptToEObject, addListener, clearDecorators, createCommand, getActivePage, getEditingDomain, getEObject, getEObjectList, getFeature, getLabelText, getMainComposite, getMessageManager, getModelListener, getSectionComposite, getStandardLabelWidth, getStatusLineManager, handleModelChanged, isReadOnly, makeContributions, removeListener, setDecorator, setErrorDecorator, setErrorMessage, setInfoDecorator, setInput, setMessage, setWarningDecorator`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEnumerationPropertySection

    public AbstractEnumerationPropertySection()

Method Detail

### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage aTabbedPropertySheetPage)

  Specified by:
    `createControls` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `createControls` in class `AbstractTabbedPropertySection`
  See Also:
    `ISection.createControls(org.eclipse.swt.widgets.Composite, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage)`

### createWidgets

    protected void createWidgets(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `AbstractTabbedPropertySection`
  Section widgets should be created inside this method. To set the layout data please implement the `AbstractTabbedPropertySection.setSectionData(Composite)` If widgets has listeners implement the `AbstractTabbedPropertySection.hookListeners()`.

  Overrides:
    `createWidgets` in class `AbstractTabbedPropertySection`
  Parameters:
    `composite` - the parent Composite
  See Also:
    `AbstractTabbedPropertySection.createWidgets(org.eclipse.swt.widgets.Composite)`

### setSectionData

    protected void setSectionData(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `AbstractTabbedPropertySection`
  This method should be implemented to set layout data to the widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)`. This improves visibility

  Overrides:
    `setSectionData` in class `AbstractTabbedPropertySection`
  Parameters:
    `composite` - Sometimes widgets will be set formDatas and position will depend on parent composite.
  See Also:
    `AbstractTabbedPropertySection.setSectionData(org.eclipse.swt.widgets.Composite)`

### hookListeners

    protected void hookListeners()

  Description copied from class: `AbstractTabbedPropertySection`
  Widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)` may listen platform events. Set them here in order to improve visibility

  Overrides:
    `hookListeners` in class `AbstractTabbedPropertySection`
  See Also:
    `AbstractTabbedPropertySection.hookListeners()`

### handleComboModified

    protected void handleComboModified()

  Handle the combo modified event.

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `refresh` in class `org.eclipse.ui.views.properties.tabbed.AbstractPropertySection`
  See Also:
    `ISection.refresh()`

### getCombo

    protected org.eclipse.swt.custom.CCombo getCombo()

  Returns:
    the combo

### getEnumerationFeatureValues

    protected abstract java.lang.String[] getEnumerationFeatureValues()

  Get the enumeration values of the feature for the combo field for the section.

  Returns:
    the list of values of the feature as text.

### getFeatureAsText

    protected abstract java.lang.String getFeatureAsText()

  Get the value of the feature as text for the combo field for the section.

  Returns:
    the value of the feature as text.

### getFeatureValue

    protected abstract java.lang.Object getFeatureValue(int index)

  Get the new value of the feature for the text field for the section.

  Parameters:
    `index` - the new index in the enumeration.
  Returns:
    the new value of the feature.

### getOldFeatureValue

    protected abstract java.lang.Object getOldFeatureValue()

  Get the old value of the feature

  Returns:
    The current value which is going to be modified

Copyright 2007 Anyware Technologies. All Rights Reserved.